{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The skeleton application for the Laravel framework.",
    "keywords": ["laravel", "framework"],
    "license": "MIT",
    "require": {
        "php": "^8.1",
        "anthonymartin/geo-location": "^2.0",
        "arcanedev/log-viewer": "^10.0",
        "creativeorange/gravatar": "*",
        "guzzlehttp/guzzle": "^7.2",
        "intervention/image": "^2.7",
        "ivanomatteo/laravel-device-tracking": "^0.2.1",
        "jantinnerezo/livewire-alert": "^3.0",
        "laravel-notification-channels/webpush": "^7.1",
        "laravel/fortify": "^1.19",
        "laravel/framework": "^10.10",
        "laravel/horizon": "^5.21",
        "laravel/passport": "^11.10",
        "laravel/pennant": "^1.5",
        "laravel/pulse": "^1.0@beta",
        "laravel/sanctum": "^3.3",
        "laravel/tinker": "^2.8",
        "league/flysystem-aws-s3-v3": "^3.0",
        "livewire/livewire": "^3.2",
        "maatwebsite/excel": "^3.1",
        "mews/captcha": "^3.3",
        "php-flasher/flasher-toastr-laravel": "^1.15",
        "psr/simple-cache": "^1.0",
        "salahhusa9/laravel-updater": "^1.0",
        "silviolleite/laravelpwa": "^2.0",
        "studio/laravel-totem": "^0.3.0",
        "torann/geoip": "^3.0",
        "van-ons/laraberg": "^2.0"
    },
    "require-dev": {
        "fakerphp/faker": "^1.9.1",
        "laravel/pint": "^1.0",
        "laravel/sail": "^1.18",
        "mockery/mockery": "^1.4.4",
        "nunomaduro/collision": "^7.0",
        "phpunit/phpunit": "^10.1",
        "spatie/laravel-ignition": "^2.0"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": [
            "app/helpers.php",
            "app/admin.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi --force"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "php-http/discovery": true
        }
    },
    "minimum-stability": "beta",
    "prefer-stable": true
}
